use actix_files::NamedFile;
use actix_web::{get, Result};

// Assets

#[get("/assets/wall")]
pub(crate) async fn wallpaper() -> Result<NamedFile> {
    Ok(NamedFile::open("./config/wall.avif")?)
}

#[get("/assets/me")]
pub(crate) async fn me_img() -> Result<NamedFile> {
    Ok(NamedFile::open("./config/me.avif")?)
}

#[get("/assets/me.png")]
pub(crate) async fn me_img_png() -> Result<NamedFile> {
    Ok(NamedFile::open("./config/me.png")?)
}
